import request from '@/utils/request'

// 查询学习计划列表
export function listLearnPlan(query) {
  return request({
    url: '/learn/learnPlan/list',
    method: 'get',
    params: query
  })
}

// 查询学习计划详细
export function getLearnPlan(id) {
  return request({
    url: '/learn/learnPlan/' + id,
    method: 'get'
  })
}

// 新增学习计划
export function addLearnPlan(data) {
  return request({
    url: '/learn/learnPlan',
    method: 'post',
    data: data
  })
}

// 修改学习计划
export function updateLearnPlan(data) {
  return request({
    url: '/learn/learnPlan',
    method: 'put',
    data: data
  })
}

// 删除学习计划
export function delLearnPlan(id) {
  return request({
    url: '/learn/learnPlan/' + id,
    method: 'delete'
  })
}
